c------------CONTEC----------------------------------------
c------------DOB-Grundkonstruktion-------------------------
c------------Vorderhosenrock-------------------------------
c----------------------------------------------------------
c--Programmberarbeitung, Dipl.-Ing. Gabriele Fink, Mrz 05
c--X-Wert auf neue Gr. abgestimmt von Heike Fricke, Juli 04
c------------------------------------------Datum:25.10.1999
c------------------Konstrukteure:Marion Krewer/Ursula Polit

c---------------------------------------------------X-Werte
Titel("Vorderhosenrock")
Defx(1,"Rocklngenmodifizierung                 ",0)
Defx(2,"Taillenvertiefung an L Mi v             ",15)
Defx(3,"Ausstichbreitenregulierung              ",5)
Defx(4,"Seitennahtausstellung                   ",20)
Defx(5,"Leibausfallbreite                       ",0)
Defx(5,_nk17/25,_nk23/25,_nk24/20,_nk28/20,_nn34/25,_nn46/25)
Defx(5,_nn48/20,_nn56/20,_nl68/25,_nl92/25,_nl96/20,_nl112/20)
Defx(5,_sk17/20,_sk23/20,_sk24/15,_sk28/15,_sn34/20,_sn46/20)
Defx(5,_sn48/15,_sn56/15,_sl68/20,_sl92/20,_sl96/15,_sl112/15)
Defx(5,_bk17/30,_bk23/30,_bk24/25,_bk28/25,_bn34/30,_bn46/30)
Defx(5,_bn48/25,_bn56/25,_bl68/30,_bl92/30,_bl96/25,_bl112/25)
Defx(6,"Leibausfalllnge                        ",0)
Defx(6,_nk17/75,_nk28/75,_nn34/80,_nn56/80,_nl68/85,_nl112/85)
Defx(6,_sk17/75,_sk28/75,_sn34/80,_sn56/80,_sl68/85,_sl112/85)
Defx(6,_bk17/75,_bk28/75,_bn34/80,_bn56/80,_bl68/85,_bl112/85)

c----------------------------------Konstruktionsgrundgerst
P01    = P00
D_l Ge = G22
P02    = abtrag(P01,Runten,D_l Ge)
D_l Kn = G25+x1
P03    = abtrag(P01,Runten,D_l Kn)
D_u Ge = (G4+40)/4
D_Se   = (D_u Ge+x4)
P04    = abtrag(P01,Rlinks,D_u Ge)
P05    = abtrag(P02,Rlinks,D_u Ge)
P06    = abtrag(P03,Rlinks,D_Se)
c--------------------------------------------Sitzhhenlinie
D_Sz   = (G26-G27)
P05a   = abtrag(P04,Runten,D_Sz)       ! wird nicht bentigt
c----------------------------------------------Taillienlinie
D_u Ta = (G5+20)/4+x5
P07    = abtrag(P01,Rlinks,D_u Ta)
D_u Ta3= D_u Ta/3
P08    = abtrag(P07,Rrechts,D_u Ta3)
D_s La = x6
P09    = abtrag(P08,Runten,D_s La)
D_tv   = x2
P10    = abtrag(P01,Runten,D_tv)
Dabs   = 20
P10a   = abtrag(P10,Rlinks,Dabs)
c---------------------------------------Abnherkonstruktion
Drel   = 0.6
Qtest  = Kurve3(P10a,Rlinks,P07,Drel,Rschief)
S01    = Sspiegel(P08,P09)
P11    = schnitt(Qtest,S01,P09)
Dabs   = X5/2
K01    = (P11,Dabs)
P11a   = schnitt(K01,QTest,P07)
P11b   = schnitt(K01,QTest,P01)
c----------------------------------------------Hosenausstich
D_Sz   = (G26-G27)
P12    = abtrag(P01,Runten,D_Sz)
D_stich= (G4+40)/16+x3
P13    = abtrag(P12,Rrechts,D_stich)
P14    = abtrag(P03,Rrechts,D_stich)
P15    = abtrag(P12,Roben,D_stich)
S10    = (P05,P06)
Dabs   = 50
c-------------------Hilfskonstruktion fr die Ausstichkurve
R01    = (P13,P15)
Dabs   = abstand(P13,P15)
Dabs   = Dabs/2
P16    = abtrag(P13,R01,Dabs)
R02    = (P12,P16)
Dabs   = abstand(P12,P16)
Dabs   = Dabs/2+x3
P17    = abtrag(P12,R02,Dabs)
c-------------------------------------------Schnitteilkontur
Ausmarker(P01,P02,P03,P05,P06,P07,P09,P10,P11,P12,P13,P14,P15,P17)
Auslinie(P10,P15)
Auslinie(P12,P13)
Auslinie(P13,P14)
Auslinie(P14,P06)
Auslinie(P06,P05)
Auslinie(P11a,P09)
Auslinie(P11b,P09)
Auslinie(P15,P03)
Auslinie(P02,P05)
Drel   = 0.7
R05    =(P06,P05)
AusKurve3(P05,R05,P07,Drel,Rout)
Drel   = 0.8
auskurve3(P11a,Rlinks,P07,Drel,Rout)
R01    = senkrechte(P11b,P09)
Drel   = 0.6
Q1     = spline(P10,0,P10a,0)
Q2     = kurve3(P10a,rlinks,P11b,Drel,R01)
QlTa   = (Q1,Q2)
auskurve(QlTa)
Ausspline(P13,Rlinks,P17,0,P15,Roben)
c----------------------------------------------------------
ende

