c------------CONTEC----------------------------------------
c------------DOB-Grundkonstruktion-------------------------
c------------Vorderhose------------------------------------
c----------------------------------------------------------
c--Programmberarbeitung, Dipl.-Ing. Gabriele Fink, Mrz 05
c--X-Wert auf neue Gr. abgestimmt von Heike Fricke, Juli 04
c------------------------------------------Datum:25.10.1999
c------------------Konstrukteure:Marion Krewer/Ursula Polit

c---------------------------------------------------x-Werte
Titel("Vorderhose")
Defx(1,"Gesweitenregulierung (siehe Formel)   ",-10)
Defx(2,"Taillenvertiefung an L Mi v             ",15)
Defx(3,"Leibausfallbreite                       ",0)
Defx(3,_nk17/25,_nk23/25,_nk24/20,_nk28/20,_nn34/25,_nn46/25)
Defx(3,_nn48/20,_nn56/20,_nl68/25,_nl92/25,_nl96/20,_nl112/20)
Defx(3,_sk17/20,_sk23/20,_sk24/15,_sk28/15,_sn34/20,_sn46/20)
Defx(3,_sn48/15,_sn56/15,_sl68/20,_sl92/20,_sl96/15,_sl112/15)
Defx(3,_bk17/30,_bk23/30,_bk24/25,_bk28/25,_bn34/30,_bn46/30)
Defx(3,_bn48/25,_bn56/25,_bl68/30,_bl92/30,_bl96/25,_bl112/25)
Defx(4,"Leibausfalllnge                        ",0)
Defx(4,_nk17/75,_nk28/75,_nn34/80,_nn56/80,_nl68/85,_nl112/85)
Defx(4,_sk17/75,_sk28/75,_sn34/80,_sn56/80,_sl68/85,_sl112/85)
Defx(4,_bk17/75,_bk28/75,_bn34/80,_bn56/80,_bl68/85,_bl112/85)

c--------------------------------------Konstruktionsgerst
P01     = P00
D_h Si  = (G26-G27)
P02     = abtrag(P01,Runten,D_h Si)
D_h Si3 = (G26-G27)/3
P03     = abtrag(P02,Roben,D_h Si3)
D_u Ge  = G4/4+x1
P04     = abtrag(P02,Rrechts,D_u Ge)
P05     = abtrag(P03,Rrechts,D_u Ge)
P06     =abtrag(P01,Rrechts,D_u Ge)
c---------------------------------------------Vordere Mitte
D_tv    = x2
P07     = abtrag(P06,Runten,D_tv)
D_Vm    = 5
P08     = abtrag(P07,Rlinks,D_Vm)
P09     = abtrag(P05,Rrechts,D_Vm)
c---------------------------------------------Hosenausstich
Dabs    = abstand(P02,P04)
Dabs    = Dabs/4
P10     = abtrag(P04,Rrechts,Dabs)
P11     = abtrag(P04,Roben,Dabs)
R01     = (P10,P11)
Dabs    = abstand(P10,P11)
Dabs    = Dabs/2
P12     = abtrag(P10,R01,Dabs)
R02     = (P12,P04)
Dabs    = abstand(P04,P12)
Dabs    = Dabs/5
P13     = abtrag(P12,R02,Dabs)
c-------------------------------------------Hosenbeinlnge
Dabs    = abstand(P02,P10)
Dabs    = Dabs/2
P14     = abtrag(P02,Rrechts,Dabs)
D_h Si  = (G26-G27)
P15     = abtrag(P14,Roben,D_h Si)
D_h Kn  = G25
P16     = abtrag(P15,Runten,D_h Kn)
D_h Se u= G26
P17     = abtrag(P15,Runten,D_h Se u)
c-------------------------------------------Hosenbeinbreite
D_diff  = 10
D_u Fe  = (G16+100)/4-D_diff
P18     = abtrag(P17,Rlinks,D_u Fe)
P19     = abtrag(P17,Rrechts,D_u Fe)
S01     = (P02,P18)
Shilf   = (P16,Rlinks)
P20     = schnitt(S01,Shilf)
S02     = (P10,P19)
Shilf   = (P16,Rrechts)
P21     = schnitt(S02,Shilf)
c---------------------------------------------Taillienlinie
D_u Ta  = (G5+20)/4+x3
K01     = (P08,D_u Ta)
S03     = (P01,P06)
P22     = schnitt(K01,S03,P01)
c--------------------------------------Abnherkonstruktion
D_u Ta  = abstand(P08,P22)
D_u Ta3 = D_u Ta/3
P23     = abtrag(P22,Rrechts,D_u Ta3)
D_s La  = x4
P24     = abtrag(P23,Runten,D_s La)
c---------------------------Hilfskonstruktion fr Abnher
Drel    = 0.6
QTest   = Kurve3(P08,Rlinks,P22,Drel,Rschief)
SHelp   = Sspiegel(P23,P24)
P25     = schnitt(Qtest,SHelp,P24)
Dabs    = (x3/2)
K01     = (P25,Dabs)
P26     = schnitt(K01,QTest,P01)
P27     = schnitt(K01,QTest,P15)
c-------------------------------------------------Fadenlauf
Rab     = senkrechte(P27,P24)
Drel    = 0.6
Qfdl    = Kurve3(P08,Rlinks,P27,Drel,Rab)
Auskurve(Qfdl)
Sfdl    = (P15,P14)
P26a    = schnitt(Qfdl,Sfdl,P15)
c------------------------------------------Schnitteilkontur
Ausmarker(P02,P04,P05,P06,P08,P09,P10,P11,P13,P14)
Ausmarker(P16,P17,P18,P19,P20,P21,P22,P24,P25,P26,P26a,P27)
Auslinie(P04,P05)
Auslinie(P02,P18)
Auslinie(P02,P10)
Auslinie(P20,P21)
Auslinie(P18,P19)
Auslinie(P19,P10)
Auslinie(P09,P08)
Auslinie(P27,P24)
Auslinie(P26,P24)
Auslinie(P26a,P17)
c---------------------------------------Taillenlinie an P22
Drel    = 0.5
R22_25  = (P22,P25)
Auskurve3(P26,Rlinks,P22,Drel,R22_25)
c---------------------------------------Vorderhosenausstich
Dabs    = 100
R10_21  = senkrechte(P10,P21)
P10a   = abtrag(P10,Dabs,R10_21)
R10_10a = (P10,P10a)
R08_09  = (P08,P09)
Ausspline(P10,R10_10a,P13,0,P09,R08_09)
c-------------------------------------------------Hftbogen
P22a    = abtrag(P22,Dabs,R22_25)
Dw      = -90
Dreh1 (P22,Dw,P22a)
R02_20  = (P02,P20)
R22_22a = (P22,P22a)
Q_SN = spline(P02,R02_20,P22,R22_22a)
Auskurve(Q_SN)
c------------------------------------------------Geslinie
S10    = (P03,P09)
P03a   = schnitt(S10,Q_SN,P27)
Ausmarker(P03a)
Auslinie(P03a,P09)
c----------------------------------------------------------
ende
