c------------CONTEC----------------------------------------
c------------DOB-Grundkonstruktion-------------------------
c------------Hinterhose------------------------------------
c----------------------------------------------------------
c--Programmberarbeitung, Dipl.-Ing. Gabriele Fink, Mrz 05
c--X-Wert auf neue Gr. abgestimmt von Heike Fricke, Juli 04
c------------------------------------------Datum:25.10.1999
c------------------Konstrukteure:Marion Krewer/Ursula Polit

c---------------------------------------------------X-Werte
Titel("Hinterhose")
Defx(1,"Gesweitenregulierung (siehe Formel)   ",-10)
Defx(2,"Taillienvertiefung an L Mi v            ",15)
Defx(3,"Hinterhosenausstichregulierung          ",10)
Defx(4,"Dressurlnge                            ",10)
Defx(5,"Leibausfallbreite                       ",0)
Defx(5,_nk17/25,_nk23/25,_nk24/20,_nk28/20,_nn34/25,_nn46/25)
Defx(5,_nn48/20,_nn56/20,_nl68/25,_nl92/25,_nl96/20,_nl112/20)
Defx(5,_sk17/20,_sk23/20,_sk24/15,_sk28/15,_sn34/20,_sn46/20)
Defx(5,_sn48/15,_sn56/15,_sl68/20,_sl92/20,_sl96/15,_sl112/15)
Defx(5,_bk17/30,_bk23/30,_bk24/25,_bk28/25,_bn34/30,_bn46/30)
Defx(5,_bn48/25,_bn56/25,_bl68/30,_bl92/30,_bl96/25,_bl112/25)
Defx(6,"Gesausfallbreite                      ",0)
Defx(6,_nk17/35,_nk23/35,_nk24/30,_nk28/30,_nn34/35,_nn46/35)
Defx(6,_nn48/30,_nn56/30,_nl68/35,_nl92/35,_nl96/30,_nl112/30)
Defx(6,_sk17/25,_sk23/25,_sk24/20,_sk28/20,_sn34/25,_sn46/25)
Defx(6,_sn48/20,_sn56/20,_sl68/25,_sl92/25,_sl96/20,_sl112/20)
Defx(6,_bk17/45,_bk23/45,_bk24/40,_bk28/40,_bn34/45,_bn46/45)
Defx(6,_bn48/40,_bn56/40,_bl68/45,_bl92/45,_bl96/40,_bl112/40)
Defx(7,"Gesausfalllnge                       ",0)
Defx(7,_nk17/135,_nk28/135,_nn34/140,_nn56/140,_nl68/145,_nl112/145)
Defx(7,_sk17/135,_sk28/135,_sn34/140,_sn56/140,_sl68/145,_sl112/145)
Defx(7,_bk17/135,_bk28/135,_bn34/140,_bn56/140,_bl68/145,_bl112/145)
Defx(8,"Erhhung der Hinterhose an L Mi h       ",0)
Defx(8,_nk17/4,_nk28/15,_nn34/4,_nn56/15,_nl68/4,_nl112/15)
Defx(8,_sk17/4,_sk28/15,_sn34/4,_sn56/15,_sl68/4,_sl112/15)
Defx(8,_bk17/4,_bk28/15,_bn34/4,_bn56/15,_bl68/4,_bl112/15)

c---------------------------------------Konstruktionsgerst
P01    = P00
D_h Si = (G26-G27)
P02    = abtrag(P01,Runten,D_h Si)
D_h Si3= (G26-G27)/3
P03    = abtrag(P02,Roben,D_h Si3)
D_u Ge = G4/4+x1
P04    = abtrag(P02,Rrechts,D_u Ge)
P05    = abtrag(P03,Rrechts,D_u Ge)
P06    = abtrag(P01,Rrechts,D_u Ge)
c---------------------------------------------Vordere Mitte
D_tv   = x2
P07    = abtrag(P06,Runten,D_tv)
D_Vm   = 5
P08    = abtrag(P07,Rlinks,D_Vm)
P09    = abtrag(P05,Rrechts,D_Vm)
c---------------------------------------Vorderhosenausstich
Dabs   = abstand(P02,P04)
Dabs   = dabs/4
P10    = abtrag(P04,Rrechts,Dabs)
P11    = abtrag(P04,Roben,Dabs)
R01    = (P10,P11)
Dabs   = abstand(P10,P11)
Dabs   = Dabs/2
P12    = abtrag(P10,R01,Dabs)
R02    = (P12,P04)
Dabs   = abstand(P04,P12)
Dabs   = Dabs/4
P13a   = abtrag(P12,R02,Dabs)
c-------------------------------------------Hosenbeinlnge
Dabs   = abstand(P02,P10)
Dabs   = Dabs/2
P14    = abtrag(P02,Rrechts,Dabs)
D_h Si = (G26-G27)
P15    = abtrag(P14,Roben,D_h Si)
D_h Kn = G25
P16    = abtrag(P15,Runten,D_h Kn)
D_h Se = G26
P17    = abtrag(P15,Runten,D_h Se)
c-------------------------------------------Hosenbeinbreite
D_diff = 10
D_u Fe = (G16+100)/4-D_diff
P18    = abtrag(P17,Rlinks,D_u Fe)
P19    = abtrag(P17,Rrechts,D_u Fe)
S01    = (P02,P18)
Shilf  = (P16,Rlinks)
P20    = schnitt(S01,Shilf)
S02    = (P10,P19)
Shilf  = (P16,Rrechts)
P21    = schnitt(S02,Shilf)
c----------------------------------Taillienlinie Vorderhose
D_u Ta = (G5+20)/4+x5
K01    = (P08,D_u Ta)
S03    = (P01,P06)
P22    = schnitt(K01,S03,P01)
c---------------Seitennahtkontur Hinterhose (Nahtverlegung)
Dabs   = 30
P27    = abtrag(P22,Rlinks,Dabs)
Dabs   = 20
P28    = abtrag(P02,Rlinks,Dabs)
P29    = abtrag(P20,Rlinks,Dabs)
P30    = abtrag(P18,Rlinks,Dabs)
P31    = abtrag(P19,Rrechts,Dabs)
P32    = abtrag(P21,Rrechts,Dabs)
c---------------------------------------Hinterhosenausstich
Dabs   = abstand(P04,P10)
D_stich= Dabs-x3
K03    = (P10,D_stich)
Dabs   = abstand(P21,P10)
D_stich= Dabs-x4
K04    = (P32,D_stich)
Dhilf  = 50
Philfl = abtrag(P10,Rrechts,Dhilf)
P33    = schnitt(K03,K04,Philfl)
c-------------------------Hilfskonstruktion Innere Beinnaht
R32a   = (P32,P33)
Dabs   = abstand(P32,P33)
Dabs   = dabs/2
P32a   = abtrag(P32,R32a,Dabs)
Dabs   = 5
P32b   = abtrag(P32a,Rlinks,Dabs)
c----------------------------------Taillienlinie Hinterhose
D_u Ta = (G5+20)/4+x6
K05    = (P27,D_u Ta)
P34    = schnitt(K05,S03,P06)
Dhilf  = 100
Philf2 = abtrag(P34,Roben,Dhilf)
Drad   = x8
K06    = (P34,Drad)
P34a   = schnitt(K05,K06,Philf2)
c---------------------------Abnherkonstruktion Hinterhose
Shilf  = (P27,P34a)
R03    = (P27,P34a)
Dabs   = abstand(P27,P34a)
Dabs   = Dabs/2
P35    = abtrag(P27,R03,Dabs)
D_abb  = x6/2
K07    = (P35,D_abb)
P35a   = Schnitt(K07,Shilf,P34a)
P35b   = Schnitt(K07,Shilf,P27)
R04    = senkrechte(P27,P34a)
D_s Ga = x7
P36    = abtrag(P35,R04,D_s Ga)
c-------------------------------------------------Fadenlauf
Dabs   = 100
Phelp  = abtrag(P15,Roben,Dabs)
Sfdl   = (P15,Phelp)
P37    = Schnitt(Sfdl,Shilf)
c------------------------------------------Schnitteilkontur
Ausmarker(P13a,P14)
Ausmarker(P04,P10,P11,P16,P17,P27,P28,P29,P30,P31,P32,P33)
Ausmarker(P34a,P35,P35a,P35b,P36,P37)
Auslinie(P04,P11)
Auslinie(P28,P30)
Auslinie(P29,P32)
Auslinie(P28,P10)
Auslinie(P30,P31)
Auslinie(P31,P32)
Auslinie(P11,P34a)
Auslinie(P34a,P35a,P36,P35b,P27)
Auslinie(P37,P17)
c-------------------------------------------------Hftbogen
R27_34a= (P27,P34a)
Dabs   = 100
P27a   = abtrag(P27,Dabs,R27_34a)
Dw     = 80
Dreh1 (P27,Dw,P27a)
R27_27a=(P27,P27a)
R28_29 = (P28,P29)
Q_SN = spline(P28,R28_29,P27,R27_27a)
Auskurve(Q_SN)
c---------------------------------------Hinterhosenausstich
Dabs   = 100
R33_32 = senkrechte(P33,P32)
P33a   = abtrag(P33,Dabs,R33_32)
R33_33a= (P33,P33a)
R11_34a= (P11,P34a)
Ausspline(P33,R33_33a,P13a,0,P11,R11_34a)
c----------------------------------------Innere Schrittnaht
R32b_33= (P32b,P33)
R32_31 = (P32,P31)
Ausspline(P32,R32_31,P32b,0,P33,R32b_33)
c------------------------------------------------Geslinie
S10    = (P03,P09)
S11    = (P11,P34a)
P38    = schnitt(S10,S11)
P03a   = schnitt(S10,Q_SN,P27)
Ausmarker(P38,P03a)
Auslinie(P03a,P38)
c----------------------------------------------------------
ende

