c------------CONTEC----------------------------------------
c------------DOB-Konstruktion------------------------------
c------------rmel mit Ausfall-----------------------------
c--Programmberarbeitung, Dipl.-Ing. Gabriele Fink, Mrz 05
c--X-Wert auf neue Gr. abgestimmt von Heike Fricke, Juli 04
c------------------------------------------Datum:25.10.1999
c-----------------Konstrukteure: Marion Krewer/Ursula Polit

c---------------------------------------------------x-Werte
c-----------------------------------------------------rmel
Titel("rmel mit Handgelenkausfall")
Defx(1,"Einstellung: vorderer/hinterer r-Bruch ",20)

c------Umstellung auf nicht sichtbare X-Werte fr Version 9
Defx(2,"#Strecke 3-10: Lage der rmelnaht       ",0)
Defx(3,"#x fr h l aus (s Ah v + s Ah h):2-x   ",0)
Defx(3,_nk17/29,_nk28/40,_sk17/29,_sk28/40,_bk17/29,_bk28/40)
Defx(3,_nn34/25,_nn56/36,_sn34/25,_sn56/36,_bn34/25,_bn56/36)
Defx(3,_nl68/21,_nl112/32,_sl68/21,_sl112/32,_bl68/21,_bl112/32)
Defx(4,"#Abtrag von 13 zu 13a                   ",0)
Defx(4,_nk17/-6,_nk23/0,_nk28/16,_sk17/-6,_sk23/0,_sk28/16)
Defx(4,_bk17/-6,_bk23/0,_bk28/16)
Defx(4,_nn34/-6,_nn46/0,_nn56/16,_sn34/-6,_sn46/0,_sn56/16)
Defx(4,_bn34/-6,_bn46/0,_bn56/16)
Defx(4,_nl68/-6,_nl92/0,_nl112/16,_sl68/-6,_sl92/0,_sl112/16)
Defx(4,_bl68/-6,_bl92/0,_bl112/16)
Defx(5,"#Strecke19-20: Hilfspunkt rmellochlinie",0)
Defx(5,_nk17/10,_nk23/10,_nk24/15,_nk28/15,_sk17/10,_sk23/10)
Defx(5,_sk24/15,_sk28/15,_bk17/10,_bk23/10,_bk24/15,_bk28/15)
Defx(5,_nn34/10,_nn46/10,_nn48/15,_nn56/15,_sn34/10,_sn46/10)
Defx(5,_sn48/15,_sn56/15,_bn34/10,_bn46/10,_bn48/15,_bn56/15)
Defx(5,_nl68/10,_nl92/10,_nl96/15,_nl112/15,_sl68/10,_sl92/10)
Defx(5,_sl96/15,_sl112/15,_bl68/10,_bl92/10,_bl96/15,_bl112/15)

c----------------------------------------Korrektur Dzklasse
Dzkl  =Dzklasse
D0    =0
if(Dzkl=D0)
Dzkl Al q =0
Dzku Oa   =0
Dzku Hg   =0
endif

if(Dzkl>D0)
Dzkl Al q =2
Dzku Oa   =28
Dzku Hg   =8
endif

c----------------------------------------------Armlochlnge
c- Zugabenstufe 4
cDsAlv    = 232.1                ! vordere Armlochlinienlnge
cDsAlh    = 254.7                ! hintere Armlochlinienlnge
cDsAhv    = 182.2                ! vordere Armlochhhenlinienlnge
cDsAhh    = 215.2                ! hintere Armlochhhenlinienlnge
cDsE     = 101.5                ! vorderer rmeleinsatzpunkt

DsAlv    = z1                ! vordere Armlochlinienlnge
DsAlh    = z2                ! hintere Armlochlinienlnge
DsAhv    = z3                ! vordere Armlochhhenlinienlnge
DsAhh    = z4                ! hintere Armlochhhenlinienlnge
DsE     = z5                ! vorderer rmeleinsatzpunkt

c------------------------------------rmelgrundkonstruktion
c-----------------------------------Konstruktionssenkrechte
P03      = P00
Dhl     = (DsAhv+DsAhh)/2-x3
P01      = abtrag(P03,Roben,Dhl)
Dhr     = G23
P02      = abtrag(P01,Runten,Dhr)
DhOa     = G24
P04      = abtrag(P01,Runten,DhOa)
Dabs     = 30
P05      = abtrag(P02,Roben,Dabs)
c--------------------------------Waagerechte in P03,P02,P04
S02      = (P03,Rrechts)
S03      = (P02,Rrechts)
S04      = (P04,Rrechts)
c-----------------------------------------------rmelbreite
Dz_uOa   = Dzklasse*12+Dzku Oa
D_uOa2   = (G13+Dz_uOa)/2
P06      = abtrag(P01,Rrechts,D_uOa2)
S06      = (P06,Runten)
P07      = schnitt(S02,S06)
P09      = schnitt(S03,S06)
P08      = schnitt(S04,S06)
c-------------------------------------------------rmelnaht
Dz_lAlq  = Dzklasse*5+Dzkl Al q
D_lAlq2  = ((G10+Dz_lAlq+5)/2-10)-x2
P10      = abtrag(P03,Rrechts,D_lAlq2)
S10      = (P10,Runten)
P11      = schnitt(S04,S10)
P12      = schnitt(S03,S10)
S5_9     = (P05,P09)
P12      = schnitt(S5_9,S10)
c--------------------------------------------------Armkugel
Dz_uOa   = Dzklasse*12+Dzku Oa
D_uOa8   = (G13+Dz_uOa)/8
P13      = abtrag(P01,Rrechts,D_uOa8)
P14      = abtrag(P13,Rrechts,D_uOa8)
P15      = abtrag(P14,Rrechts,D_uOa8)
D_uOa16  = (G13+Dz_uOa)/16
PXS      = abtrag(P14,Rrechts,D_uOa16)
Dabs     = x4
P13a     = abtrag(P13,Rrechts,Dabs)
c----------------------------------------------------------
Dhl     = abstand(P01,P03)
Dhl5    = Dhl/5
P16      = abtrag(P03,Roben,Dhl5)
P17      = abtrag(P06,Runten,Dhl5)
R16_13a  = (P16,P13a)
Dabs     = abstand(P16,P13a)
Dabs     = Dabs/4
P18      = abtrag(P16,R16_13a,Dabs)
R14_18   = (P14,P18)
Dabs     = abstand(P14,P18)
Dabs     = Dabs/2
P19      = abtrag(P14,R14_18,Dabs)
R19_20   = senkrechte(R14_18)
Dabs     = x5
P20      = abtrag(P19,R19_20,Dabs)
Dabs     = abstand(P03,P07)
Dabs     = Dabs/2
P21      = abtrag(P03,Rrechts,Dabs)
c----------------------------------vorderer, hinterer Bruch
Dabs     = x1
P02a     = abtrag(P02,Rrechts,Dabs)
P09a     = abtrag(P09,Rlinks,Dabs)
S2a_16   = SSpiegel(P02a,P16)
S9a_17   = SSpiegel(P09a,P17)
P05a     = schnitt(S5_9,S2a_16)
P04a     = schnitt(S04,S2a_16)
P09b     = schnitt(S5_9,S9a_17)
P08a     = schnitt(S04,S9a_17)
c------------------------------Spiegelung am vorderen Bruch
P24      = spiegel(S2a_16,P10)
P25      = spiegel(S2a_16,P12)
P11a     = spiegel(S2a_16,P11)
c------------------------------Spiegelung am hinteren Bruch
P26      = spiegel(S9a_17,P10)
R26_10   = (P26,P10)
Dabs     = abstand(P10,P21)
P27      = abtrag(P26,Dabs,R26_10)
P11b     = spiegel(S9a_17,P11)
Dabs     = abstand(P17,P27)
Dabs     = Dabs/2
R17_27   = (P17,P27)
P28      = abtrag(P17,R17_27,Dabs)
P30      = spiegel(S9a_17,P12)
c------------------------------------------------------P 29
Dabs     = abstand(P27,P26)
R27_17   = (P27,P17)
PH1      = abtrag(P27,Dabs,R27_17)
PH2      = abtrag(P26,Dabs,Roben)
K1       = (PH1,Dabs)
K2       = (P26,Dabs)
PH1      = schnitt(K1,K2,PH2)
Dabs     = 10
R29      = (P27,PH1)
P29      = abtrag(P27,Dabs,R29)
c------------------------------------------Schnitteilkontur
auslinie(P17,P09b)
auslinie(P27,P29)
auslinie(P24,P25)
auslinie(P26,P30)
auslinie(P24,P26)
c--------------------------------Kurvenrichtungen rmelsaum
R25_5a   = (P25,P05a)
R5a_9b   = (P05a,P09b)
R9b_30   = (P09b,P30)
R5a_12   = (P05a,P12)
R16_5a   = (P16,P05a)
Dx       = 3
P05b     = abtrag(P05a,R16_5a,Dx)
Q25_12   = spline(P25,R25_5a,P05b,0,P12,R5a_12)
Q12_9b   = spline(P12,R5a_9b,P09b,0)
Q9b_30   = spline(P09b,0,P30,R9b_30)
QsHg     = (Q25_12,Q12_9b,Q9b_30)
c-----------------------------------------Handgelenkausfall
DuHg     = G14
DzHg     = Dzklasse*24+Dzku Hg
DwHg     = (DuHg+DzHg)/2
P32      = abtrag(P05a,DwHg,R5a_9b)
S17_9b   = Ssiegel(P17,P09b)
P33      = Spiegel(S17_9b,P32)
Dabs     = 40
P31      = abtrag(P08,Runten,Dabs)
c-------------------------------Kurvenrichtungen rmelkugel
Q24_16   = kurve2(P24,Rrechts,P16,R16_13a)
Q16_18   = spline(P16,0,P18,0)
R17      = (P17,P27)
R29      = (P27,P29)
Dabs     = 50
P29a     = abtrag(P29, Dabs, R29)
Dw       = 85
Dreh1(P29,Dw,P29a)
causlinie(P29,P29a)
R29      = (P29,P29a)
Q18_28   = spline(P18,R16_13a,P20,0,PXS,Rrechts,P17,0,P28,R17)
Q28_29   = kurve2(P28,R17,P29,R29)
Q29_26   = kurve2(P29,R29,P26,Rrechts)
Q18_26   = (Q18_28,Q28_29,Q29_26)
QsAl     = (Q24_16,Q16_18,Q18_26)
c-----------------------------------------Armkugelmehrweite
c-----------------------------------gesamter Armkugelumfang
D24_16   = Laenge(Q24_16)
D16_18   = Laenge(Q16_18)
D18_26   = Laenge(Q18_26)
DsAL     = D24_16+D16_18+D18_26
c-------------------------------------------------Mehrweite
DMW      = DsAl-(DsAlv+DsAlh)
c-------------------------------------------------Mehrweite
DMW      = DsAl-(DsAlv+DsAlh)
DProzent = (DMW*100)/(DsAlv+DsAlh)
Dy       = 10
P%       = abtrag(P01,Dy,Roben)
PProzent = abtrag(P%,DProzent,Rlinks)
auslinie(P%,PProzent)
c---------------------------------------------Textausgabe %
Dabs     = 42.5
Pa       = abtrag(PProzent,Dabs,Rlinks)
Dabs     = 5
Pa       = abtrag(Pa,Dabs,Runten)
Dabs     = 10
Pb       = abtrag(Pa,Dabs,Roben)
Pc       = abtrag(Pa,Dabs,Rrechts)
Pd       = abtrag(Pc,Dabs,Roben)
auslinie(Pa,Pd)
auslinie(Pb,Pc)
Dabs     = 15
Pa       = abtrag(Pa,Dabs,Rrechts)
Dabs     = 10
Pb       = abtrag(Pa,Dabs,Roben)
Pc       = abtrag(Pa,Dabs,Rrechts)
Pd       = abtrag(Pc,Dabs,Roben)
auslinie(Pa,Pd)
Dabs     = 1.5
Pb       = abtrag (Pb,Dabs,Runten)
Pb       = abtrag (Pb,Dabs,Rrechts)
Pc       = abtrag (Pc,Dabs,Roben)
Pc       = abtrag (Pc,Dabs,Rlinks)
Dr       = 1.5
K1       = (Pb,Dr)
K2       = (Pc,Dr)
auskreisbg(K1,Rlinks,Rrechts)
auskreisbg(K1,Rrechts,Rlinks)
auskreisbg(K2,Rlinks,Rrechts)
auskreisbg(K2,Rrechts,Rlinks)
Dabs     = 12.5
Px       = abtrag(PProzent,Dabs,Rlinks)
Dabs     = 1.5
Pa       = abtrag(Px,Dabs,Roben)
Pb       = abtrag(Px,Dabs,Runten)
Dabs     = 7.5
Pc       = abtrag(Pa,Dabs,Rrechts)
Pd       = abtrag(Pb,Dabs,Rrechts)
auslinie(Pa,Pc)
auslinie(Pb,Pd)
c--------------------------------------------------Punkt X1
Dx       = D18_26-(DMW+DsAlh)
Px1      = LPunkt(Q18_26,Dx)
c------------------------------------------------Punkt P h
DMW2     = DMW/2
Dh      = DX+DMW2
Ph      = LPunkt(Q18_26,Dh)
c--------------------------------------------------Punkt X2
Dx1      = Dx+DMW
Px2      = LPunkt(Q18_26,DX1)
c--------------------------------------------------Punkt Ae
Qslv    = (Q24_16,Q16_18)
PAe      = Lpunkt(Qslv,Dse)
c-------------------------------------------------Fadenlauf
S24_26   = (P24,P26)
PFdl_1   = lot(Ph,S24_26)
RFdl_1   = (Ph,PFdl_1)
SFdl_1   = (Ph,RFdl_1)
Philf    = schnitt(SFdl_1,S03)
RFdl_2   = (PHilf,PFdl_1)
SFdl_2   = (PHilf,RFdl_2)
P_FDL    = schnitt(QsHg,SFdl_2,PHilf)
c----------------------------------------------------------
ausmarker(Px1,Ph,Px2)
ausmarker(PAe,P02a,P05a,P05b,P09a,P09b,P10,P12,P24,P25,P26,P30)
auslinie(Ph,P_FDL)
auskurve(QsAl,QsHg)
auslinie(P11a,P11b)
auslinie(P16,P05b)
ausmarker(P32,P31,P33)
auslinie(P32,P31,P33)
c----------------------------------------------------------
auslinie(P01,P02)
auslinie(P01,P06)
auslinie(P06,P09)
auslinie(P02,P09)
auslinie(P18,P13a)
auslinie(P18,P14)
auslinie(P19,P20)
auslinie(P17,P27)
ausmarker(P01,P13,P14,P15,P06)
Ende


