c------------CONTEC----------------------------------------
c------------DOB-Konstruktion------------------------------
c------------Reverskragen----------------------------------
c------------Basis:Oberkrper/Hintere Mitte Bruch/tailliert
c------------mit variabelen Zugaben------------------------
c--Programmberarbeitung, Dipl.-Ing. Gabriele Fink, Mrz 05
c--Kragenkonstruktion ber Z-Werte Februar 2005 fr Vers. 9
c--X-Wert auf neue Gr. abgestimmt von Heike Fricke, Juli 04
c------------------------------------------Datum:11.10.1999
c-----------------Konstrukteure: Marion Krewer/Ursula Polit

c---------------------------------------------------x-Werte
c--------------------------------------------------Oberteil
Titel("Reverskragen/variable Zugaben")
Defx(1, "Zugabe zur halben Halsquerlnge        ",4)
Defx(2, "Zugabe zur halben Rckenquerlnge      ",26)
Defx(3, "Zugabe zur Armlochquerlnge            ",22)
defx(4, "Zugabe zur halben Brustquerlnge       ",27)
Defx(5, "Zugabe zur Schulterquerlnge+Korrektur ",14)		
Defx(6, "Einstellung an L Mi h im Oberteil      ",20)
c----------------------------------------------Reverskragen
Defx(7,"Reverhhe (h Rv) auf L Mi v ab l Ta     ",60)
Defx(8,"bertrittbreite (b t)                  ",60)
Defx(9,"Kragensteghhe(h Ks)                    ",25)
Defx(10,"Kragenhhe (h Kr)                      ",60)
Defx(11,"Winkel: Rv-Kantenlinie/Rv-Bruchlinie ()",35)
Defx(12,"Reverskantenlinienlnge                 ",250)
Defx(13,"Winkel: Reversabstich              in()",60)
Defx(14,"Strecke 10-11: Fassonausstich Revers    ",50)
Defx(15,"Strecke 11-12: Fassonausstich Kragen    ",60)
Defx(16,"Winkel: Fassonausstich             in()",30)
Defx(17,"Einlauf vordere Halslochlinie      in(%)",50)

c------Umstellung auf nicht sichtbare X-Werte fr Version 9
Defx(18,"#x von 1/2 b R-x, Strecke 11-12 im RT ",0)
Defx(18,_nk17/15,_nk23/18,_nk24/20,_nk28/28,_sk17/15,_sk23/18,_sk24/20)
Defx(18,_sk28/28,_bk17/15,_bk23/18,_bk24/20,_bk28/28)
Defx(18,_nn34/15,_nn46/18,_nn48/20,_nn56/28,_sn34/15,_sn46/18,_sn48/20)
Defx(18,_sn56/28,_bn34/15,_bn46/18,_bn48/20,_bn56/28)
Defx(18,_nl68/15,_nl92/18,_nl96/20,_nl112/28,_sl68/15,_sl92/18,_sl96/20)
Defx(18,_sl112/28,_bl68/15,_bl92/18,_bl96/20,_bl112/28)
Defx(19,"#x von 1/2 b Br+x, Strecke 13-14 im VT ",0)
Defx(19,_nk17/10,_nk23/13,_nk24/15,_nk28/23,_sk17/10,_sk23/13,_sk24/15)
Defx(19,_sk28/23,_bk17/10,_bk23/13,_bk24/15,_bk28/23)
Defx(19,_nn34/10,_nn46/13,_nn48/15,_nn56/23,_sn34/10,_sn46/13,_sn48/15)
Defx(19,_sn56/23,_bn34/10,_bn46/13,_bn48/15,_bn56/23)
Defx(19,_nl68/10,_nl92/13,_nl96/15,_nl112/23,_sl68/10,_sl92/13,_sl96/15)
Defx(19,_sl112/23,_bl68/10,_bl92/13,_bl96/15,_bl112/23)

c----------------------------------------Korrektur Dzklasse
Dzkl  =Dzklasse
D0    =0
if(Dzkl=D0)
DzkAv     =0
DzkA Hp   =0

endif
if(Dzkl>D0)
DzkAv     =-10
DzkA Hp   =-0.5
endif

c-------------------------------------hintere Halslochlnge
Dz1      = z1                 ! hintere Halslochlinienlnge
cDz1     = 89                 ! hintere Halslochlinienlnge

c-----------------------------------Konstruktionssenkrechte
P01      = P00
Dabs     = G17+10
P02      = abtrag(P01,Runten,Dabs)
Dabs     = G22
P03      = abtrag(P02,Runten,Dabs)
Dabs     = G21
P04      = abtrag(P02,Roben,Dabs)
Dabs     = 30
P05      = abtrag(P01,Runten,Dabs)
c-----------------------------------Waagerechte Hilfslinien
S04      = (P04,Rlinks)
S02      = (P02,RLinks)
S03      = (P03,Rlinks)
c--------------------------------------Einstellung HM-Bruch
Dabs     = x6
P10      = abtrag(P03,Rlinks,Dabs)
c---------------------------------------------Hintere Mitte
RHM      = (P05,P10)
SHM      = (P05,RHM)
P09      = schnitt(S02,SHM)
P11      = schnitt(S04,SHM)
c-------------------------------Aufteilung Brustumfanglinie
c----------------------------------------------Rckenbreite
Dabs     = (G9/2)+x2-x18
P12      = abtrag(P11,Rlinks,Dabs)
c----------------------------------------Armlochdurchmesser
Dabs     = (G10+x3+5)/2+10
P16a     = abtrag(P12,Rlinks,Dabs)
Dzw      = 100
P16b     = abtrag(P16a,Rlinks,Dzw)
Dabs     = (G10+x3+5)/2-10
P13      = abtrag(P16b,Rlinks,Dabs)
c-----------------------------------------------Brustbreite
Dabs     = (G11/2)+x4+x19
P14      = abtrag(P13,Rlinks,Dabs)
Dabs     = Dabs/2+10
P17      = abtrag(P13,Rlinks,Dabs)
c------------------------------------Senkrechte Hilfslinien
S14      = (P14,Runten)
S17      = (P17,Runten)
c----------------------------------------------Punkte 18-20
P18      = schnitt(S14,S02)
P19      = schnitt(S14,S03)
P20      = schnitt(S17,S02)
c---------------------------------------------Vordere Lnge
Dabs     = G18-10
P26      = abtrag(P20,Roben,Dabs)
Dabs     = G19-10
P27      = abtrag(P26,Runten,Dabs)
Drad     = abstand(P26,P27)
K27      = (P27,Drad)
c-----------------------------------------Vorderes Halsloch
Dabs     = (G8/2)+x1
SVM      = (P14,Roben)
SHelp    = Parallele(SVM,Dabs)
P28      = schnitt(K27,SHelp,P26)
S28      = (P28,Rlinks)
P29      = schnitt(SVM,S28)
P30      = abtrag(P29,Runten,Dabs)
D_l Ha q1= (Dabs)
D45      = 315
R45      = (D45)
P32      = abtrag(P29,R45,D_l Ha q1)
Q30_28   = spline(P30,Rrechts,P32,0,P28,0)
c------------------------------------------sichtbare Linien
auskurve(Q30_28)
ausmarker(P18,P30)
auslinie(P19,P30)

c-Reverskragen---------------------------------------------
P01      = P28
DhRv     = x7                          !Revershhe auf L Mi v,ab L Ta
P02      = abtrag(P18,Roben,DhRv)
Dbt     = x8                          !bertrittbreite b t
P03      = abtrag(P02,Rlinks,Dbt)
P03a     = abtrag (P19,Rlinks,Dbt)
Dhks     = x9                          !Kragensteghhe h Ks
P04      = abtrag(P01,Rlinks,DhKs)
R0304    = (P03,P04)
DsHlh    = Dz1          !hintere Halslochlinienlnge s Hl h
P05      = abtrag(P04,R0304,DsHlh)
D3_5    = abstand (P03,P05)
Drad     = D3_5
K3_5    = (P03,Drad)
DKor_hRv = 0.05*(x7-160)        !Korrekturwert bei abweichender Revershhe
Drad_6   = 0.4*(x10+x9)+0.1*x8+2+DKor_hRv           !Kragenrundlagestrecke
K05      = (P05,Drad_6)
P06      = schnitt (K3_5,K05,P00)
Drad_7   = DhKs
K06      = (P06,Drad_7)
p07      = schnitt(K3_5,K06,P00)
K07      = (P07,DhKs)
R3_5     =(P03,P05)
R3_7     =(P03,P07)
auskreisbg(K3_5,R3_5,R3_7)
c--------------------------------------------L Mi h Pkt 7-9
P09      = P04
Dwinkel  = -90
Dreh1    (P07,Dwinkel,P09)
R7_9     = (p07,P09)
P08      = abtrag(P07,R7_9,DhKs)
DhKr     = x10                          !Kragenhhe
P09      = abtrag(P08,R7_9,DhKr)
c------------------------------------------Reverkantenlinie
Dwinkel  = -x11                        !Winkel Fassonform bei Pkt.3
P10      = P05
dreh1    (P03,Dwinkel,P10)
Dabs     = x12                         !Strecke 3-10, Hhe unterer Fassonausstic
R3_10    = (P03,P10)
P10      = abtrag(P03,R3_10,Dabs)
c----------------------------------------------Crochetlinie
Dwinkel  = -x13                        !Winkel Reversecke, bei Pkt.10
P11      = P03
dreh1    (P10,Dwinkel,P11)
R10_11   = (P10,P11)
Dabs     = x14                         !Strecke 10-11
P11      = abtrag(P10,R10_11,Dabs)
c-----------------------------------------Kragenkantenlinie
Dwinkel  = x16                         !Winkel Fassonaussticheckpunkt bei Pkt.11
P12      = P10
Dreh1    (P11,Dwinkel,P12)
R11_12   = (P11,P12)
Dabs     = x15                         !Strecke 11-12
P12      = abtrag(P11,R11_12,Dabs)
auslinie(P03,P10)
auslinie(P10,P11)
auslinie(P11,P12)
c-------------------------------------------Revers spiegeln
S3_5     = (P03,P05)
S16      = parallele(S3_5,DhKs)
P13      = spiegel(S3_5,P10)
P14      = spiegel(S3_5,P11)
P15      = spiegel(S3_5,P12)
S13_14   = (P13,P14)
P16      = schnitt(S13_14,S16)
c-------------------------------------Kragenstegansatzlinie
R07    = senkrechte(P09,P07)
R16    = (P04,P05)
Q7_16  = kurve2(P07,R07,P16,R16)
Dabs   = abstand(P07,P08)
Q_Bruch= parallele(Q7_16,Dabs)
auskurve(Q_Bruch)
Dabs   = abstand(P28,P16)
Dabs   = Dabs/100*x17
SH1    = (P28,Rrechts)
SH1    = parallele(SH1,Dabs)
P16b   = schnitt(Q7_16,SH1,P16)
R16b   = (Q7_16,P16b)
Q28_16b= spline(P28,0,P16b,R16b)
Q7_16b = kurve2(P07,R07,P16b,R16b)
Q16b_16= kurve2(P16b,R16b,P16,R16)
c---------------------------------------------Schulterpunkt
Dlng   = Laenge(Q28_16b)
Q16b_7 = kurve2(P16b,R16b,P07,R07)
PSu    = LPunkt(Q16b_7,Dlng)
ausmarker(PSu)
c----------------------------einzelne Kragenstegansatzlinie
RPSu   = (Q7_16b,PSu)
Q7_PSu = kurve2(P07,R07,PSu,RPSu)
QPSu_16b = kurve2(PSu,RPSu,P16b,R16b)
c-------------------------------Korrektur der Halslochlinie
Dist   = Laenge(Q7_PSu)
DZiel  = Dz1
R07a   = senkrechte(P09,P07)
R07b   = senkrechte(P07,P09)

if(Dist>DZiel)                          ! L Mi h nach links
Dabs   =(Dist-DZiel)
P07b   = LPunkt(Q7_PSu,Dabs)
P08b   = abtrag(P08,R07a,Dabs)
P09b   = abtrag(P09,R07a,Dabs)
Q7_PSu = kurve2(P07b,R07,PSu,RPSu)
endif

if(Dist<DZiel)                         ! L Mi h nach rechts
Dabs   = (DZiel-Dist)
R7_9   = senkrechte(P09,P07)
P07b   = abtrag(P07,R07b,Dabs)
P08b   = abtrag(P08,R07b,Dabs)
P09b   = abtrag(P09,R07b,Dabs)
Q1     = kurve2(P07b,R07,P07,R07)
Q2     = kurve2(P07,R07,PSu,RPSu)
Q7_PSu = (Q1,Q2)
endif

c-----------------------------------------Kragenkantenlinie
Q9_15 = spline(P09b,R07,P15,0)
c------------------------------------------sichtbare Punkte
ausmarker(P01,P02,P03,P04,P05,P06)
ausmarker(P13,P14,P15,P16)
ausmarker(P07,P08,P09)
ausmarker(P07b,P08b,P09b)
c------------------------------------------sichtbare Linien
auslinie(P02,P03)
auslinie(P03,P04)
auslinie(P03,P03a)
auslinie(P04,P05)
auslinie(P04,P07b)
auslinie(P14,P16)
auslinie(P13,P14)
auslinie(P14,P15)
auslinie(P07b,P09b)
auslinie(P13,P03)
c----------------------------------------zustzliche Linien
S01 = (P13,P16)
S02 = (P10,P11)
P11a = schnitt(S01,S02)
auslinie(P11,P11a)
c------------------------------------------sichtbare Kurevn
auskurve(Q7_PSu,QPSu_16b,Q16b_16,Q28_16b,Q9_15)
c------------------------------------------sichtbare Kurven
ende
