c-----------CONTEC-----------------------------------------
c-----------DOB-Konstruktion-------------------------------
c-----------1-teiliger Hemd-und Blusenkragen---------------
c-----------Basis:Oberkoerper/Hintere Mitte Bruch/tailliert
c----------------------------------------------------------
c--Programmberarbeitung, Dipl.-Ing. Gabriele Fink, Mrz 05
c--Kragenkonstruktion ber Z-Werte Februar 2005 fr Vers. 9
c--X-Wert auf neue Gr. abgestimmt von Heike Fricke, Juli 04
c------------------------------------------Datum:25.10.1999
c-----------------Konstrukteure: Marion Krewer/ UrsulaPolit

c----------------------------------------------------Kragen
Titel("1-teiliger Hemd-und Blusenkragen")
Defx(1,"bertrittbreite                         ",15)
Defx(2,"Kragensteghhe                          ",25)
Defx(3,"Kragenhhe                              ",45)
Defx(4,"Sperrbetrag                             ",5)
Defx(5,"Winkel: Kragenkante in Pkt. 15     in()",120)
Defx(6,"Winkel: Kragenabstich in Pkt. 17   in()",50)
Defx(7,"Kragenkantenlnge am Schenkel           ",90)
Defx(8,"Kragenstegkantenlnge an L Ks v         ",20)

c-1-teiliger Hemd und Blusenkragen-------------------------
Dz1      = z1                 ! vordere Halslochlinienlnge
Dz2      = z2                 ! hintere Halslochlinienlnge

cDz1      = 103.3            ! vordere Halslochlinienlnge
cDz2      = 82.9             ! hintere Halslochlinienlnge

DZiel    = Dz1+Dz2

c-----------------------------------------------Grundgerst
P01      = P00
D_Ha     = Dz1+Dz2             ! Halsloch ges. 1/2 w Ha - 5
P02      = abtrag(P01,Rlinks,D_Ha)
c-------------------------------------------------bertritt
D_bt    = x1
P03      = abtrag(P02,Rlinks,D_bt)
c----------------------------------------------------------
Dabs     = abstand(P01,P02)
Dabs     = Dabs/4
P04      = abtrag(P02,Rrechts,Dabs)
c----------------------------------------------------------
Dabs     = 20               ! lt. Konstruktionsbeschreibung
P05      = abtrag(P04,Rlinks,Dabs)
c----------------------------------------------------------
Dabs     = abstand(P01,P04)
Dabs     = Dabs/2
P06      = abtrag(P04,Rrechts,Dabs)
c----------------------------------------------------------
Dabs     = 15                ! lt.Konstruktionsbeschreibung
P07      = abtrag(P01,Roben,Dabs)
c--------------------------Hilfspunkt fr Kurvenfhrung 7-8
Dabs     = abstand(P01,P06)
Dabsx    = Dabs/2
PH1      = abtrag(P01,Rlinks,Dabsx)
Dabsy    = 15
PH1      = abtrag(PH1,Roben,Dabsy)
c----------------------------------------------------------
D_hKs    = x2
P13      = abtrag(P07,Roben,D_hKs)
c----------------------------------------------------------
D_hKr    = x3
P16      = abtrag(P13,Roben,D_hKr)
c----------------------------------------------------------
Dabs     = 10               ! lt. Konstruktionsbeschreibung
P08      = abtrag(P06,Roben,Dabs)
P09      = abtrag(P03,Roben,Dabs)
c--------------------------------------------------Punkt 10
S02      = (P02,Roben)
S9_5     = (P09,P05)
P10      = schnitt(S02,S9_5)
c------------------------------------------Punkte 11 und 12
R11      = (P10,P09)
R12      = (P10,P05)
P11      = abtrag(P10,R11,D_bt)
P12      = abtrag(P10,R12,D_bt)
c----------------------------------------------------------
Q1       = Kurve1(P07,PH1,P08)
c---------------Hilfspunktkonstruktion fr Kurvenverlauf Q2
Dabs     = abstand(P04,P06)
Dabs     = Dabs/2
PH2      = abtrag(P04,Rrechts,Dabs)
Dabs     = 3
PH2      = abtrag(PH2,Roben,Dabs)
c------------------------------------Richtungsangabe fr Q2
R08      = (Q1,P08)
c----------------------------------------------------------
Q2       = spline(P08,R08,PH2,0,P04,Rlinks)
Q3       = spline(P04,Rlinks,P12,R12)
Q4       = Kurve2(P12,R11,P10,R11)
Q7_10    = (Q1,Q2,Q3,Q4)
c--------------------------------------------------Punkt 14
R14      = senkrechte(P05,P09)
P14      = abtrag(P10,R14,D_hKs)
c--------------------------------------------------Punkt 15
R15      = senkrechte(P10,P14)
D_Spb    = x4
P15      = abtrag(P14,R15,D_Spb)
c--------------------------------------------------Punkt 17
Dw       = x5
R17      = (Dw)
D_lKr    = x7
P17      = abtrag(P15,R17,D_lKr)
c----------------------Hilfspunkt 11a fr Kragenstegabstich
Dabs     = x8
P11a     = abtrag(P11,R14,Dabs)
c---------------------------Hilfspunkt fr Kragenbruchlinie
Dabs     = 15+x2
P06a     = abtrag(P06,Roben,Dabs)
c---------------------Richtungsangaben fr Kragenbruchlinie
R11a     = (P15,P11a)
R13a     = (P13,P06a)
c------------------------------------------Kragenbruchlinie
Q13_11a  = spline(P13,Rlinks,P06a,Rlinks,P15,R11a)
c--------------------------Hilfspunkt fr Kragenkantenlinie
Dabs     = 15+x2+x3
PH3      = abtrag(PH2,Roben,Dabs)
c-----------------------------------------Kragenkantenlinie
Dwinkel  = x6
PHilf    = P15
Dreh1(P17,Dwinkel,PHilf)
R17      = (P17,PHilf)
Q16_17   = spline(P16,Rlinks,P17,R17)
c----------------------------------------------------L Mi v
S10_14   = (P10,P14)
S11a_15  = (P11a,P15)
P14a     = schnitt(S10_14,S11a_15)
c-------------------------------Korrektur Lnge L Kr Ansatz

Dkor     = Laenge(Q7_10)
if (Dkor>DZiel)                         ! L Mi h nach links
Dabs     = (Dkor-DZiel)
P07b     = LPunkt(Q7_10,Dabs)
P13b     = LPunkt(Q13_11a,Dabs)
P16b     = LPunkt(Q16_17,Dabs)

Q1       = Kurve1(P07b,PH1,P08)
Q2       = spline(P08,R08,PH2,0,P04,Rlinks)
Q3       = spline(P04,Rlinks,P12,R12)
Q4       = Kurve2(P12,R11,P10,R11)
Q7_10    = (Q1,Q2,Q3,Q4)
Q13_11a  = spline(P13b,Rlinks,P06a,Rlinks,P15,R11a)
Q16_17   = spline(P16b,Rlinks,P17,R17)
endif

if (DZiel>Dkor)                        ! L Mi h nach rechts
Dabs     = (DZiel-Dkor)
P07b     = abtrag(P07,Rrechts,Dabs)
P13b     = abtrag(P13,Rrechts,Dabs)
P16b     = abtrag(P16,Rrechts,Dabs)
P01b     = abtrag(P01,Rrechts,Dabs)

Qa       = spline(P07b,Rlinks,P07,Rlinks)
Q1       = Kurve1(P07,PH1,P08)
Q2       = spline(P08,R08,PH2,0,P04,Rlinks)
Q3       = spline(P04,Rlinks,P12,R12)
Q4       = Kurve2(P12,R11,P10,R11)
Q7_10    = (Qa,Q1,Q2,Q3,Q4)
Q13_11a  = spline(P13b,Rlinks,P13,Rlinks,P06a,Rlinks,P15,R11a)
Q16_17   = spline(P16b,Rlinks,P16b,Rlinks,P17,R17)
endif
c------------------------------------------Schulterpunkt 18
P18      = Lpunkt(Q7_10,Dz2)
c------------------------------------------sichtbare Punkte
ausmarker(P01,P02,P03,P07,P13,P16,P10,p11)
ausmarker(P07b,P13b,P16b)
ausmarker(P15,P17,P18,P11a,P14a)
c------------------------------------------sichtbare Linien
auslinie(P07b,P16b)
auslinie(P10,P14a)
auslinie(P10,P11)
auslinie(P11,P11a)
auslinie(P11a,P15)
auslinie(P15,P17)
c------------------------------------------sichtbare Kurven
Auskurve(Q7_10,Q13_11a,Q16_17)
ende
