c-----------CONTEC-----------------------------------------
c-----------DOB-Konstruktion-------------------------------
c-----------Stehkragen-------------------------------------
c-----------Basis:Oberkoerper/Hintere Mitte Bruch/tailliert
c----------------------------------------------------------
c--Programmberarbeitung, Dipl.-Ing. Gabriele Fink, Mrz 05
c--Kragenkonstruktion ber Z-Werte Februar 2005 fr Vers. 9
c--X-Wert auf neue Gr. abgestimmt von Heike Fricke, Juli 04
c------------------------------------------Datum:25.10.1999
c-----------------Konstrukteure: Marion Krewer/Ursula Polit

c--------------------------------------X-Werte Stehkragen
Titel("Stehkragen")
Defx(1,"Strecke 2-3: Kragenrundlage             ",15)
Defx(2,"Kragenhhe                              ",50)
Defx(3,"Strecke 6-7: Verlegung L Mi v           ",5)

c-Stehkragen------------------------------------------------
Dz1      = z1              ! vordere Halslochlinienlnge
Dz2      = z2              ! hintere Halslochlinienlnge

cDz1      = 103.3            ! vordere Halslochlinienlnge
cDz2      = 82.9             ! hintere Halslochlinienlnge

DZiel    = Dz1+Dz2

c-----------------------------------------------------------
P01      = P00
D_Mas    = G6/2
D_Ha     = Dz1+Dz2
P02      = Abtrag(P01,Rlinks,D_Ha)
D_VK     = x1
P03      = Abtrag(P02,Roben,D_VK)
Dabs     = abstand(P01,P02)
Dabs     = Dabs/2
P04      = abtrag(P01,Rlinks,Dabs)
R03      = (P04,P03)
Q1_3     = spline(P01,Rlinks,P03,R03)
D_KH     = x2
P05      = abtrag(P01,Roben,D_kh)      ! L Mi h
Rhilf    = senkrechte(P04,P03)
P06      = abtrag(P03,Rhilf,D_KH)
Rhilf    = senkrechte(P03,P06)
Dhilf    = x3
P07      = abtrag(P06,Rhilf,Dhilf)
Q5_7     = kurve2(P05,Rlinks,P07,R03)
c-------------------------Kontrolle Lnge Halslochlinien
Dko      = Laenge(Q1_3)
if (Dko>DZiel)                         ! L Mi h nach links
Dabs     = (Dko-DZiel)
P01b     = LPunkt(Q1_3,Dabs)
P05b     = LPunkt(Q5_7,Dabs)
c----------------------------------------sichtbare Kurven
Q5_7     = kurve2(P05b,Rlinks,P07,R03)       ! L Kr Kante
Q1_3     = spline(P01b,Rlinks,P03,R03)       ! L Kr Ansatz
auskurve(Q5_7,Q1_3)
endif

if (Dko<DZiel)                                ! L Mi h nach rechts
Dabs     = (DZiel-Dko)
P01b     = abtrag(P01,Rrechts,Dabs)
P05b     = abtrag(P05,Rrechts,Dabs)
c----------------------------------------sichtbare Kurven
Q1       = spline(P05b,Rlinks,P05,Rlinks)
Q2       = kurve2(P05,Rlinks,P07,R03)              ! L Kr Kante
Q5_7     = (Q1,Q2)
Q1_3     = spline(P01b,Rlinks,P01,Rlinks,P03,R03)  ! L Kr Ansatz
auskurve(Q5_7,Q1_3)
endif
c---------------------------------------sichtbare Punkte
P08      = LPunkt(Q1_3,Dz2)            ! Schulterpunkt
ausmarker(P01,P02,P03,P05,P06,P07,P08)
ausmarker(P01b,P05b)
c---------------------------------------sichtbare Linien
auslinie(P01b,P05b)                    ! L Mi h
auslinie(P03,P07)                      ! L Mi v
c---------------------------------------------------------
Ende


