c------------CONTEC----------------------------------------
c------------DOB-Konstruktion------------------------------
c------------Bubikragen------------------------------------
c------------Basis:Oberkrper/Hintere Mitte Bruch/tailliert
c----------------------------------------------------------
c--Programmberarbeitung, Dipl.-Ing. Gabriele Fink, Mrz 05
c--Kragenkonstruktion ber Z-Werte Februar 2005 fr Vers. 9
c--X-Wert auf neue Gr. abgestimmt von Heike Fricke, Juli 04
c------------------------------------------Datum:25.10.1999
c-----------------Konstrukteure: Marion Krewer/Ursula Polit

c------------------------------------------------Bubikragen
Titel("Bubikragen")
DefX(1,"Kragenhhe                              ",70)
Defx(2,"Winkel: Kragenkante in Pkt. 2      in()",140)
Defx(3,"Winkel: Kragenabstich in Pkt. 7    in()",85)

c------Umstellung auf nicht sichtbare X-Werte fr Version 9
Defx(4,"#Strecke 1-2: (1/2 w Ha) - x (variable) ",20)
Defx(5,"#Strecke 1-3: L Mi h nach oben (w Ha/x) ",6)
Defx(6,"#Strecke 4-5: Aufsatz in Pkt. 5         ",15)

c-Bubikragen------------------------------------------------
Dz1      = z1              ! vordere Halslochlinienlnge
Dz2      = z2              ! hintere Halslochlinienlnge

cDz1      = 103.3            ! vordere Halslochlinienlnge
cDz2      = 82.9             ! hintere Halslochlinienlnge

DZiel    = Dz1+Dz2

c-----------------------------------------------------------
P01      = P00
D_Ha     = Dz1+Dz2
D_Ha1_2  = D_Ha - x4
P02      = abtrag(P01,Rlinks,D_Ha1_2)
D_Ha1_3  = (D_Ha*2)/x5
P03      = abtrag(P01,Roben,D_Ha1_3)
R3_2     = (P03,P02)
Dabs     = abstand(P03,P02)
Dabs     = Dabs/2
P04      = abtrag(P03,R3_2,Dabs)
R05      = senkrechte(P03,P02)
Dabs     = x6
P05      = abtrag(P04,R05,Dabs)
D_Krh    = x1
P06      = abtrag(P03,Roben,D_Krh)
R05      = (P04,P05)
P05b     = abtrag(p05,R05,D_Krh)
Dw       = x2
R07      = (Dw)
P07      = abtrag(P02,R07,D_Krh)
R07      = senkrechte(P02,P07)
Dw       = x3
P02b     = P02
Dreh1 (P07,Dw,P02b)
R07      = (P02b,P07)
Q3_2     = spline(P03,Rlinks,P05,0,P02,0)
Q6_7     = spline(P06,Rlinks,P07,R07)
c-------------------------Kontrolle Lnge Halslochlinien
Dko      = Laenge(Q3_2)
if (Dko>DZiel)                      ! L Mi h nach links
Dabs     = (Dko-DZiel)
P03b     = LPunkt(Q3_2,Dabs)
P06b     = LPunkt(Q6_7,Dabs)

Q3_2     = spline(P03b,Rlinks,P05,0,P02,0)  ! L Kr Ansatz
Q6_7     = kurve2(P06b,Rlinks,P07,R07)      ! L Kr Kante
auskurve(Q3_2,Q6_7)
endif

if (Dko<DZiel)                      ! L Mi h nach rechts
Dabs     = (DZiel-DKo)
P03b     = abtrag(P03,Rrechts,Dabs)
P06b     = abtrag(P06,Rrechts,Dabs)

Q3_2     = spline(P03b,Rlinks,P03,Rlinks,P05,0,P02,0) ! L Kr Ansatz
Q1       = spline(P06b,Rlinks,P06,Rlinks)
Q2       = kurve2(P06,Rlinks,P07,R07)     ! L Kr Kante
Q6_7     =(q1,Q2)
auskurve(Q3_2,Q6_7)
endif
c----------------------------------------sichtbare Punkte
P08      = Lpunkt(Q3_2,Dz2)      ! Schulterpunkt
ausmarker(P01,P02,P03,P06,P07,P08)
ausmarker(P03b,P06b)
c----------------------------------------sichtbare Linien
auslinie(P02,P07)
auslinie(P03b,P06b)                       ! L Mi h
c---------------------------------------------------------
Ende


