c------------CONTEC----------------------------------------
c------------DOB-Konstruktion------------------------------
c------------Tellerkragen----------------------------------
c------------Oberkoerper/Hintere Mitte Bruch/tailliert-----
c----------------------------------------------------------
c--Programmberarbeitung, Dipl.-Ing. Gabriele Fink, Mrz 05
c--Kragenkonstruktion ber Z-Werte Februar 2005 fr Vers. 9
c--X-Wert auf neue Gr. abgestimmt von Heike Fricke, Juli 04
c------------------------------------------Datum:25.11.1999
c-----------------Konstrukteure: Marion Krewer/Ursula Polit

c----------------------------------------------------Kragen
Titel("Tellerkragen")
Defx(1,"Kragenhhe                              ",60)
Defx(2,"Kragenabstich                           ",15)
Defx(3,"Korrekturwert fr die Pkt. 3a + 6a      ",5)

c-Tellerkragen---------------------------------------------
Dz1      = z1              ! vordere Halslochlinienlnge
Dz2      = z2              ! hintere Halslochlinienlnge

cDz1      = 103.3            ! vordere Halslochlinienlnge
cDz2      = 82.9             ! hintere Halslochlinienlnge

DZiel    = Dz1+Dz2

c-----------------------------------------------Grundgerst
P01      = P00
D_Ha     = Dz1+Dz2         ! Halslochlnge gesamt
c------------------------------------Berechnung Strecke 1-2
D1_2     = (D_Ha*2)/Pi
P02      = abtrag(P01,Roben,D1_2)
P03      = abtrag(P01,Rlinks,D1_2)
c------------------------------------------------Kragenhhe
D2_4     = x1
P04      = abtrag(P02,Roben,D2_4)
P05      = abtrag(P03,Rlinks,D2_4)
c---------------------------------------Kreise Kragenlinien
K01      =(P01,D1_2)
D2       = D1_2+x1
K02      =(P01,D2)
c---------------------------------------------Kragenabstich
Dabs     = x2
K05      =(P05,Dabs)
P06      = schnitt(K02,K05,P05)
c-----------------------------------Verlegung von P3 und P6
Dkor     = x3
R3_6     =(P03,P06)
P03a     = abtrag(P03,R3_6,Dkor)
P06a     = abtrag(P06,R3_6,Dkor)
R06      = senkrechte(P03,P06)
c-----------------------------------------Hilfskonstruktion
Dabs     = x3
K03      = (P03,Dabs)           ! Kreis um 3 mit x3
S03      = (P03,P05)
Philf    = Schnitt(K03,S03,P05)
Dabs     = abstand(P03,Philf)   ! Bestimmung D2
D1       = D1_2                 ! Definition D1
D2       = Dabs                 ! Definition D2
D3       = (D1*D2)              ! Anwendung Hhensatz
Dh       = sqr(D3)              ! Bestimmung von h
R06      = senkrechte(P03,P06)
P03b     = abtrag(P03a,R06,Dh)
P06b     = abtrag(P06a,R06,Dh)
S03      = (P03a,P03b)
S06      = (P06a,P06b)
Q4_6b    = kurve2(P04,Rlinks,P06b,R06)
Q2_3b    = kurve2(P02,Rlinks,P03b,R06)
c-----------------------------------------------Hilfskurven
Q6b_6a   = spline(P06b,R06,P06a,0)
Q3b_3a   = spline(P03b,R06,P03a,0)
c------------------------------------------Kurvendefinition
Q4_6     = (Q4_6b,Q6b_6a)
Q2_3     = (Q2_3b,Q3b_3a)
c-------------------------------Korrektur Lnge L Kr Ansatz
Dkor     = Laenge(Q2_3)
if (Dkor>DZiel)
Dabs     = (Dkor-DZiel)
P02b     = LPunkt(Q2_3,Dabs)
P04b     = LPunkt(Q4_6,Dabs)

Q4_6b    = kurve2(P04b,Rlinks,P06b,R06)
Q6b_6a   = spline(P06b,R06,P06a,0)
Q4_6     = (Q4_6b,Q6b_6a)

Q2_3b    = kurve2(P02b,Rlinks,P03b,R06)
Q3b_3a   = spline(P03b,R06,P03a,0)
Q2_3     = (Q2_3b,Q3b_3a)
auskurve(Q4_6,Q2_3)
endif

if (DZiel>Dkor)
Dabs     = (DZiel-Dkor)
P02b     = abtrag(P02,Rrechts,Dabs)
P04b     = abtrag(P04,Rrechts,Dabs)

Q1       = spline(P04b,Rlinks,P04,Rlinks)
Q4_6b    = kurve2(P04,Rlinks,P06b,R06)
Q6b_6a   = spline(P06b,R06,P06a,0)
Q4_6     = (Q1,Q4_6b,Q6b_6a)

Q1       = spline(P02b,Rlinks,P02,Rlinks)
Q2_3b    = kurve2(P02,Rlinks,P03b,R06)
Q3b_3a   = spline(P03b,R06,P03a,0)
Q2_3     = (Q1,Q2_3b,Q3b_3a)
auskurve(Q4_6,Q2_3)
endif
c---------------------------------------------Schulterpunkt
P07      = Lpunkt(Q2_3,Dz2)
c------------------------------------------sichtbare Punkte
ausmarker(P01,P02,P03,P03a,P04,P05,P06,P06a,P07)
ausmarker(P02b,P04b)
c------------------------------------------sichtbare Linien
auslinie(P04b,P02b)
auslinie(P06a,P03a)
ende

