c------------CONTEC----------------------------------------
c------------DOB-Konstruktion------------------------------
c------------2-teiliger Hemd-und Blusenkragen--------------
c------------Basis:Oberkrper/Hintere Mitte Bruch/tailliert
c----------------------------------------------------------
c--Programmberarbeitung, Dipl.-Ing. Gabriele Fink, Mrz 05
c--Kragenkonstruktion ber Z-Werte Februar 2005 fr Vers. 9
c--X-Wert auf neue Gr. abgestimmt von Heike Fricke, Juli 04
c------------------------------------------Datum:25.10.1999
c-----------------Konstrukteure: Marion Krewer/ UrsulaPolit

c----------------------------------------------------Kragen
Titel("2-teiliger Hemd-und Blusenkragen")
Defx(1,"Strecke 2-4: Kragenrundlage             ",15)
Defx(2,"bertrittbreite                         ",15)
Defx(3,"Kragensteghhe                          ",25)
Defx(4,"Kragenhhe                              ",45)
Defx(5,"Winkel: Kragenkante in Pkt. 6a     in()",100)
Defx(6,"Sperrbetrag auf Kragenstegkantenlinie   ",5)
Defx(7,"Kragenkantenlnge am Schenkel           ",70)
Defx(8,"Winkel: Kragenabstich in Pkt. 10   in()",75)

Dx1 = x1
Dx2 = x2
Dx3 = x3
Dx4 = x4
Dx6 = x6
Dx7 = x7

c-2-teiliger Hemd und Blusenkragen-------------------------
Dz1      = z1                 ! vordere Halslochlinienlnge
Dz2      = z2                 ! hintere Halslochlinienlnge

cDz1      = 103.3            ! vordere Halslochlinienlnge
cDz2      = 82.9             ! hintere Halslochlinienlnge

DZiel    = Dz1+Dz2

c-----------------------------------------------Grundgerst
P01      = P00
D_Ha     = Dz1+Dz2          ! ges. Halslochweite = 1/2 w Ha
P02      = abtrag(P01,Rlinks,D_Ha)
Dabs     = abstand(P01,P02)
Dabs     = Dabs/2
P03      = abtrag(P01,Rlinks,Dabs)
P04      = abtrag(P02,Roben,Dx1) ! Erhhung der L Ks Ansatz
c-------------------------------------------Richtung fr P5
R05      = (P03,P04)
c----------------------------------------------------------
P05      = abtrag(P04,R05,Dx2)            ! bertrittbreite
c-------------------------------------------Richtung fr P6
R06      = senkrechte(P03,P04)
c----------------------------------------------------------
P06      = abtrag(P04,R06,Dx3)             ! Kragensteghhe
P07      = abtrag(P01,Roben,Dx3)
c-------------------------------------Kragenstegansatzlinie
c--------------------------Hilfspunkt Kragenstegansatzlinie
Dabs     = 40
PH1      = abtrag(P03,Rrechts,Dabs)
R04      = (P03,P04)
Q1_4     = spline(P01,Rlinks,PH1,Rlinks,P04,R04)
c-------------------------------------Kragenstegkantenlinie
c--------------------------Hilfspunkt Kragenstegkantenlinie
PH2      = abtrag(PH1,Roben,Dx3)           ! Kragensteghhe
Q6_7     = spline(P06,0,PH2,Rrechts,P07,Rrechts)
c--------------------------------Sperrbetrag auf L Ks Kante
P06b     = Lpunkt(Q6_7,Dx6)
Q7_6b    = spline(P07,Rlinks,PH2,Rlinks,p06b,0)

R06b     = (Q7_6b,P06b)
R05      = senkrechte(P05,P03)
Q6b_5    = kurve2(P06b,R06b,P05,R05)   ! Kragenstegabstich
Q7_5     = (Q7_6b,Q6b_5)
c--------------------------------Korrektur Lnge L Kr Ansatz
Dkor     = Laenge(Q1_4)
DZiel    = DZiel
if (Dkor>DZiel)
Dabs     = (Dkor-DZiel)
P01b     = LPunkt(Q1_4,Dabs)
P07b     = LPunkt(Q7_5,Dabs)
Q1_4     = spline(P01b,Rlinks,PH1,Rlinks,P04,R04)
Q7_6b    = spline(P07b,Rlinks,PH2,Rlinks,p06b,0)
Q7_5     = (Q7_6b,Q6b_5)
endif

if (DZiel>Dkor)
Dabs     = (DLKra-DZiel)
P01b     = abtrag(P01,Rrechts,Dabs)
P07b     = abtrag(P07,Rrechts,Dabs)
Q1_4     = spline(P01b,Rlinks,P01,Rlinks,PH1,Rlinks,P04,R04)
Q7_6b    = spline(P07b,Rlinks,P07,Rlinks,PH2,Rlinks,p06b,0)
Q7_5     = (Q7_6b,Q6b_5)
endif
c----------------------------------------Schulterpunkt
P11      = Lpunkt(Q1_4,Dz2)
ausmarker(P01,P01b,P02,P04,P05,P06,P06b,P07,P07b,P11)
auslinie(P04,P05)
auskurve(Q1_4,Q7_5)
c--------------------------------------L Mi h Kragensteg
auslinie(P07b,P01b)
c--------------------------------------L Mi v Ks
auslinie(P04,P06)
c----------------------Spiegeln der Kragenstegkantenlinie
S06      = (P06,Rrechts)
Spiegeln(S06,Q7_6b,P06b,P07b)
Q8_6a    = (Q7_6b)
P06a     = P06b
c----------------------------------L Mi h
P08      = P07b
P09      = abtrag(P08,Roben,Dx4)               ! Kragenhhe
c-----------------------------------Kragenkonstruktion
Dwinkel  = x5   ! Kragenwinkel bei P.06a
R06a     = (Dwinkel)
P10a     = abtrag(P06a,R06a,Dx7) ! Kragenkantenlinienlnge
c-----------------------------------Kragenkantenlinie
Dwinkel  = x8
PHilf    = P06a
Dreh1(P10a,Dwinkel,Philf)
R10      = (P10a,PHilf)
Q9_10    = spline(P09,Rlinks,P10a,R10)
c------------------------------------------sichtbare Punkte
c------------------------------------------sichtbare Linien
auslinie(P06a,P10a)
auslinie(P08,P09)
ausmarker(P08,P09,P06a,P10a)
c------------------------------------------sichtbare Kurven
auskurve(,Q8_6a,Q9_10)

ende
